Register FAQ / Rules Forum Spy Search Today's Posts Mark Forums Read
Go Back   MacRumors Forums > iPhone, iPod and iPad > iPhone > iPhone Tips, Help and Troubleshooting

Reply
 
Thread Tools Search this Thread Display Modes
Old Sep 21, 2012, 10:15 AM   #1
Anthony T
macrumors 6502a
 
Join Date: Jul 2008
Can't use iPhone 5 with Mac OS X 10.5.8!

I'm currently trying to set up my iPhone 5 and restore my backup from iTunes. However, it won't let me because I don't have the new iTunes 10.7. When I try to download 10.7, it says it requires a newer version of Mac OS X.

Wtf?! This is ridiculous.
Anthony T is offline   3 Reply With Quote
Old Sep 21, 2012, 10:16 AM   #2
MonkeySee....
macrumors 68040
 
MonkeySee....'s Avatar
 
Join Date: Sep 2010
Location: UK
there was an update to OSX the last couple of days. have you checked the appstore?
__________________
If you’re busy making everything, how can you perfect anything? - Apple

Always keep the rhythm in your feet and a little party in your shoulders. - Phil Dunphy
MonkeySee.... is offline   0 Reply With Quote
Old Sep 21, 2012, 10:17 AM   #3
SandboxGeneral
Moderator
 
SandboxGeneral's Avatar
 
Join Date: Sep 2010
Location: Great Lakes State
From http://www.apple.com/iphone/specs.html

__________________
Magnificent Seventh
SandboxGeneral is online now   1 Reply With Quote
Old Sep 21, 2012, 10:23 AM   #4
MonkeySee....
macrumors 68040
 
MonkeySee....'s Avatar
 
Join Date: Sep 2010
Location: UK
Quote:
Originally Posted by SandboxGeneral View Post
ouch
__________________
If you’re busy making everything, how can you perfect anything? - Apple

Always keep the rhythm in your feet and a little party in your shoulders. - Phil Dunphy
MonkeySee.... is offline   0 Reply With Quote
Old Sep 21, 2012, 10:26 AM   #5
Anthony T
Thread Starter
macrumors 6502a
 
Join Date: Jul 2008
Quote:
Originally Posted by MonkeySee.... View Post
there was an update to OSX the last couple of days. have you checked the appstore?
I don't have the App Store, I guess because I have the older version of OS X.
Anthony T is offline   0 Reply With Quote
Old Sep 21, 2012, 10:51 AM   #6
SandboxGeneral
Moderator
 
SandboxGeneral's Avatar
 
Join Date: Sep 2010
Location: Great Lakes State
Quote:
Originally Posted by Anthony T View Post
I don't have the App Store, I guess because I have the older version of OS X.
Right, you need 10.6.8 or later to sync with the iPhone 5.
__________________
Magnificent Seventh
SandboxGeneral is online now   0 Reply With Quote
Old Sep 21, 2012, 03:51 PM   #7
bubaglobalj
macrumors newbie
 
Join Date: Sep 2012
Thumbs down

Quote:
Originally Posted by Anthony T View Post
I'm currently trying to set up my iPhone 5 and restore my backup from iTunes. However, it won't let me because I don't have the new iTunes 10.7. When I try to download 10.7, it says it requires a newer version of Mac OS X.

Wtf?! This is ridiculous.
I have the exact same problem. Is there no way I can access my iPhone 5 , using OSX 10.5.8 and Itunes version 10.6.3 ?

I've tried updating my operating system, but it looks like there is no way to do this, except when you order a DVD somewhere, is that correct.

@ Anthony, I am curious, how are you solving this problem?

Thanks
bubaglobalj is offline   0 Reply With Quote
Old Sep 21, 2012, 04:37 PM   #8
bubaglobalj
macrumors newbie
 
Join Date: Sep 2012
so I have ordered the snow leopard CD from Apple for 19.99 . Takes 7 days to get to my location with the free shipping option. Hopefully it will work fine with that then.
bubaglobalj is offline   0 Reply With Quote
Old Sep 21, 2012, 09:30 PM   #9
Anthony T
Thread Starter
macrumors 6502a
 
Join Date: Jul 2008
Quote:
Originally Posted by bubaglobalj View Post
so I have ordered the snow leopard CD from Apple for 19.99 . Takes 7 days to get to my location with the free shipping option. Hopefully it will work fine with that then.
Where did you get it for $19.99?
Anthony T is offline   1 Reply With Quote
Old Sep 21, 2012, 09:31 PM   #10
HadItWithWindow
macrumors regular
 
Join Date: Dec 2008
Quote:
Originally Posted by Anthony T View Post
I'm currently trying to set up my iPhone 5 and restore my backup from iTunes. However, it won't let me because I don't have the new iTunes 10.7. When I try to download 10.7, it says it requires a newer version of Mac OS X.

Wtf?! This is ridiculous.
I was shocked too. I bought two iPhone5's. I have Snow on my Mac so I had no problem. My wife's Mac is different and cannot take 10.7. I called Apple and they are sending a free update but it will take a week.

I was tempted yesterday to cancel my pre-order and go with Android but I'm so into Apple I resisted and bought 2 phones and the latest iPad today. Was stunned when this problem happened. That's the only reason I bought Apple products. I never knew they would squeeze us out as new OS were developed. I hope this isn't a trend they continue or I will shop elsewhere.
__________________
24" iMac, 2.8GHz, Intel Core 2 Duo, 2GB 800 Mhz, DDR2 SDRAM, MPB, iPhone, iPad (1st edition) and AppleTV.
HadItWithWindow is offline   0 Reply With Quote
Old Sep 21, 2012, 10:07 PM   #11
bubaglobalj
macrumors newbie
 
Join Date: Sep 2012
Quote:
Originally Posted by Anthony T View Post
Where did you get it for $19.99?
Directly at Apple Canada.

----------

Quote:
Originally Posted by HadItWithWindow View Post
I was shocked too. I bought two iPhone5's. I have Snow on my Mac so I had no problem. My wife's Mac is different and cannot take 10.7. I called Apple and they are sending a free update but it will take a week.

I was tempted yesterday to cancel my pre-order and go with Android but I'm so into Apple I resisted and bought 2 phones and the latest iPad today. Was stunned when this problem happened. That's the only reason I bought Apple products. I never knew they would squeeze us out as new OS were developed. I hope this isn't a trend they continue or I will shop elsewhere.
how did u get them to send you the update for free?
bubaglobalj is offline   0 Reply With Quote
Old Sep 21, 2012, 11:03 PM   #12
HadItWithWindow
macrumors regular
 
Join Date: Dec 2008
Quote:
Originally Posted by bubaglobalj View Post
Directly at Apple Canada.

----------



how did u get them to send you the update for free?
I just called the 800-my-apple and whined and he said since I bought two phones and an ipad he would mail the disc to me.
__________________
24" iMac, 2.8GHz, Intel Core 2 Duo, 2GB 800 Mhz, DDR2 SDRAM, MPB, iPhone, iPad (1st edition) and AppleTV.
HadItWithWindow is offline   0 Reply With Quote
Old Sep 21, 2012, 11:08 PM   #13
bubaglobalj
macrumors newbie
 
Join Date: Sep 2012
Quote:
Originally Posted by HadItWithWindow View Post
I just called the 800-my-apple and whined and he said since I bought two phones and an ipad he would mail the disc to me.
well played
bubaglobalj is offline   0 Reply With Quote
Old Sep 24, 2012, 06:58 PM   #14
hanzisripped
macrumors newbie
 
Join Date: Sep 2012
Quote:
Originally Posted by HadItWithWindow View Post
I was shocked too. I bought two iPhone5's. I have Snow on my Mac so I had no problem. My wife's Mac is different and cannot take 10.7. I called Apple and they are sending a free update but it will take a week.

I was tempted yesterday to cancel my pre-order and go with Android but I'm so into Apple I resisted and bought 2 phones and the latest iPad today. Was stunned when this problem happened. That's the only reason I bought Apple products. I never knew they would squeeze us out as new OS were developed. I hope this isn't a trend they continue or I will shop elsewhere.
How long have you been buying Apple products? Apple is notoriously known for cutting off old stuff, so this shouldn't really be a surprise, and if it is, get used to it
hanzisripped is offline   0 Reply With Quote
Old Sep 25, 2012, 11:34 AM   #15
mandy123
macrumors member
 
Join Date: Jun 2010
I had this problem too (yeah I am lazy and never upgraded my 2008 Macbook, what of it ) but I called Apple Saurday and the package is already here.
mandy123 is offline   1 Reply With Quote
Old Sep 26, 2012, 07:45 PM   #16
malsch
macrumors newbie
 
Join Date: Oct 2008
I'm getting this as well and I have a brand-new-as-of-March2012-Mini. Rawr.
malsch is offline   0 Reply With Quote
Old Sep 28, 2012, 11:37 AM   #17
HadItWithWindow
macrumors regular
 
Join Date: Dec 2008
I may have spoke too soon. The "free" disc did not arrive this week so I called 800-MY Apple back and she said they had no note of a free shipment. My wife's out of date OS requires a disc to upgrade her 10.5.8 and I cannot download the Mountain Lion I bought for my Mac because I can't access App Store Purchases on 10.5.8. Crazy

Soooooo I went ahead and bought the disc for $19 and change BOOOOOOOOO
__________________
24" iMac, 2.8GHz, Intel Core 2 Duo, 2GB 800 Mhz, DDR2 SDRAM, MPB, iPhone, iPad (1st edition) and AppleTV.
HadItWithWindow is offline   0 Reply With Quote
Old Feb 22, 2013, 02:55 AM   #18
Mindsynk
macrumors newbie
 
Join Date: Feb 2013
F that

Quote:
Originally Posted by hanzisripped View Post
How long have you been buying Apple products? Apple is notoriously known for cutting off old stuff, so this shouldn't really be a surprise, and if it is, get used to it

I spent almost 2k on just a plastic Macbook before Apple tossed those out the window, and another $1,800 on iDevices ranging from the second gen ipod to the iPhone 5. I've kept my MacBook running fine without any damage since 07, and even rocked a first gen iphone for five years without breaking it. I don't think Apple gets to punish me for being able to not break me *****, and they know know it, they just don't want to tell you that, otherwise lay-downs like you don't walk into the Apple Store, lay down on the the floor, hold your wallet in the air, and ask them what you should buy. I full heartedly agree with HadItWithWindow, so far I've got two upgrade dvds from Apple for free. One was for buying a new hard drive from Apple, which they make you think you have to (not true) and it came pre installed with a higher OS then the disks that came with my comp. I wanted to clean my comp and reinstall, and simply explaining that I had bought there HDD for an outrageous price means i should have got the dvd to go with it, got a free leopard disk no prob. Next was for exactly this iPhone 5 problem, and got the snow leopard disk no problem. So don't ask "how long have you been using Apple products" this is not how they operated even two years ago, I never had all the bs with things outdating and not working till about the 4s
Mindsynk is offline   0 Reply With Quote

Reply
MacRumors Forums > iPhone, iPod and iPad > iPhone > iPhone Tips, Help and Troubleshooting

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 07:28 PM.

Mac Rumors | Mac | iPhone | iPhone Game Reviews | iPhone Apps

Mobile Version | Fixed | Fluid | Fluid HD
Copyright 2002-2013, MacRumors.com, LLC